# frozen_string_literal: true
module C
  class PageInfo < ApplicationRecord
    belongs_to :page, polymorphic: true

    def fallback_title
      if (name = page.try(:name))
        "#{name} | #{C.store_name}"
      else
        C.store_name
      end
    rescue
      ''
    end
  end
end
