# frozen_string_literal: true
module C
  class ApplicationController < ActionController::Base
    protect_from_forgery with: :exception
    layout :layout

    def layout
      devise_controller? ? 'c/cms_login_layout' : 'c/application'
    end

    def current_ability
      Ability.new(current_user)
    end
  end
end
