# frozen_string_literal: true
require_dependency 'c/application_controller'

module C
  class FrontEnd::PagesController < MainApplicationController
    def show
      get_page C::Page
      render @render if @render
      redirect_to root_url unless @page.published || user_signed_in?
    end

    def sitemap
      @pages =  C::Page.all
      respond_to do |format|
        format.xml
      end
    end
  end
end
